callback_lambda {keras} | R Documentation

## Create a custom callback

### Description

This callback is constructed with anonymous functions that will be called at the appropriate time. Note that the callbacks expects positional arguments, as:

- `on_epoch_begin` and `on_epoch_end` expect two positional arguments: `epoch`, `logs`

- `on_batch_begin` and `on_batch_end` expect two positional arguments: `batch`, `logs`

- `on_train_begin` and `on_train_end` expect one positional argument: `logs`

### Usage

    callback_lambda(on_epoch_begin = NULL, on_epoch_end = NULL,
      on_batch_begin = NULL, on_batch_end = NULL, on_train_begin = NULL,
      on_train_end = NULL)

### Arguments

`on_epoch_begin` | called at the beginning of every epoch.
`on_epoch_end` | called at the end of every epoch.
`on_batch_begin` | called at the beginning of every batch.
`on_batch_end` | called at the end of every batch.
`on_train_begin` | called at the beginning of model training.
`on_train_end` | called at the end of model training.

### See Also

Other callbacks: `callback_csv_logger`, `callback_early_stopping`, `callback_learning_rate_scheduler`, `callback_model_checkpoint`, `callback_progbar_logger`, `callback_reduce_lr_on_plateau`, `callback_remote_monitor`, `callback_tensorboard`, `callback_terminate_on_naan`

[Package keras version 2.2.4 Index]